net.sf.jasperreports.export

## Class SimpleXlsxExporterConfiguration

- java.lang.Object
- - net.sf.jasperreports.export.SimpleCommonExportConfiguration
  - - net.sf.jasperreports.export.SimpleExporterConfiguration
    - - net.sf.jasperreports.export.AbstractXlsExporterConfiguration
      - - net.sf.jasperreports.export.SimpleXlsExporterConfiguration
        - - net.sf.jasperreports.export.SimpleXlsxExporterConfiguration

- All Implemented Interfaces:
    CommonExportConfiguration, ExporterConfiguration, XlsExporterConfiguration, XlsxExporterConfiguration

      public class SimpleXlsxExporterConfiguration
      extends SimpleXlsExporterConfiguration
      implements XlsxExporterConfiguration

  Version:
    $Id: SimpleXlsxExporterConfiguration.java 6731 2013-11-12 12:20:12Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.export.XlsxExporterConfiguration

      `PROPERTY_MACRO_TEMPLATE`

    - ### Fields inherited from interface net.sf.jasperreports.export.XlsExporterConfiguration

      `PROPERTY_CREATE_CUSTOM_PALETTE, PROPERTY_WORKBOOK_TEMPLATE, PROPERTY_WORKBOOK_TEMPLATE_KEEP_SHEETS`

    - ### Fields inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleXlsxExporterConfiguration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMacroTemplate()` Specifies the location of an existing workbook template containing a macro object.
    `void` | `setMacroTemplate(java.lang.String macroTemplate)`

    - ### Methods inherited from class net.sf.jasperreports.export.AbstractXlsExporterConfiguration

      `getWorkbookTemplate, isCreateCustomPalette, isKeepWorkbookTemplateSheets, setCreateCustomPalette, setKeepWorkbookTemplateSheets, setWorkbookTemplate`

    - ### Methods inherited from class net.sf.jasperreports.export.SimpleCommonExportConfiguration

      `isOverrideHints, setOverrideHints`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.export.XlsExporterConfiguration

      `getWorkbookTemplate, isCreateCustomPalette, isKeepWorkbookTemplateSheets`

    - ### Methods inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `isOverrideHints`

- - ### Constructor Detail

    - #### SimpleXlsxExporterConfiguration

          public SimpleXlsxExporterConfiguration()

  - ### Method Detail

    - #### getMacroTemplate

          public java.lang.String getMacroTemplate()

      Description copied from interface: `XlsxExporterConfiguration`
      Specifies the location of an existing workbook template containing a macro object. The macro object will be copied into the generated document if the template location is valid. Macros can be loaded from Excel macro-enabled template files (*.xltm) as well as from valid Excel macro-enabled documents (*.xlsm).
      Specified by:
        `getMacroTemplate` in interface `XlsxExporterConfiguration`
      See Also:
        `XlsxExporterConfiguration.PROPERTY_MACRO_TEMPLATE`

    - #### setMacroTemplate

          public void setMacroTemplate(java.lang.String macroTemplate)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com